Subject: 27.0.50; tab-bar: automatic tab names should be shortened

From: Gregor Zattler <[email-masked]>
Date: Fri, 20 Dec 2019 18:48:06 +0100

Dear emacs developers, Juri, per default tab-bar uses buffer
names as tab labels.  But these might be very looong:

Please provide an option to dynamically shorten at least
automatic tab labels in order not to overflow the tab bar into
another line OR provide an option with sensible default for the
max length of automatic tab labels (e.g. 23 characters per tab
label would allow for at least 3 tabs on a 80 char terminal) OR
something to such effect.

Thanks, Gregor